Migrate ORC environments to new VM hosts and storage

2014-07-08 18:20 - Robert Waltz

Status: Closed Start date: 2014-07-18

Priority: Normal Due date: 2014-07-19

Assignee: David Doyle % Done: 100%

Category: Hardware Estimated time: 0.00 hour

Target version: 2014.28-Block.4.2   

Story Points:    

Description

Need to migrate ORC environments to new hosts.  Coordinate with coredev for downtime for 1.2.7 or 1.3 release.

Subtasks:

Task # 5905: Test migration process Closed

History

#1 - 2014-07-09 05:27 - David Doyle

Migrated cn-stage-orc-1 to test and get an idea of the time needed to migrate.  Migration took significantly longer than expected, 7 hr 50 min.

Pre-migration shutdown went poorly, so leaving VM down for now.  Need to keep a proper eye on it during post-migration startup, and that may not

happen at 1:30 am.

#2 - 2014-07-09 21:16 - David Doyle

- Status changed from New to In Progress

Beginning cn-stage-orc-2 migration.

#3 - 2014-07-10 04:04 - David Doyle

Migration complete for cn-stage-orc-2.  Initially unable to ssh into box, console access limited to localadmin account.  Found /etc/network/interfaces

set to dhcp, which is not standard procedure at ORC.  Rebuilt /etc/network/interfaces to the correct settings, restarted /etc/init.d/networking - no

success.  Shut down and restarted VM, network settings kicked in, VM can now reach outside world and be accessed via ssh.

#4 - 2014-07-11 21:14 - David Doyle

Migrating cn-orc-1 now.  This VM was using outdated networks on the VM side, so those settings were reconfigured before the migration:

network adapter 1: "VM network" changed to "DataONE" network

network adapter 2: "SAN network" removed

#5 - 2014-07-12 05:04 - David Doyle

- % Done changed from 0 to 50

cn-orc-1 migrated.  Booted up to test.  Initial tests look good, with VM able to contact outside world and ssh access to VM working.

Brought back offline for now until I get a couple of questions answered re: new network adapters and upgrading to a new VM version while we have it

offline.

Will need to briefly bring the stage CNs offline to change up the network adapters out.  Robert has been made aware of this, ETA next week.
#6 - 2014-07-18 03:47 - Robert Waltz

- Milestone changed from None to CCI-1.3

- Subject changed from related - Migrate ORC environments to new VM hosts and storage to Migrate ORC environments to new VM hosts and

storage

#7 - 2014-07-18 03:47 - Robert Waltz

- Parent task deleted (#5536)

#8 - 2014-07-18 03:48 - Robert Waltz

- Tracker changed from Task to Story

- translation missing: en.field_remaining_hours set to 0.0

- Target version changed from 2014.26-Block.4.1 to 2014.28-Block.4.2

- Due date set to 2014-07-19

#9 - 2014-07-18 20:23 - David Doyle

- Status changed from In Progress to Closed

Prod and stage CNs and MNs have been migrated to new environments.

Powered by TCPDF (www.tcpdf.org)

2024-04-23 2/2

http://www.tcpdf.org

